For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
      • POSTRemoves a tag from all companies.
      • GETReturns all tags that are currently in use by companies.
      • POSTUpdates a tag globally for all companies.
      • POSTAdds a batch of new tags to the company with the specified id.
      • POSTRemoves tags from the company with the specified id.
      • GETReturns the tags of the company with the specified id.
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceCompany Tags

Removes tags from the company with the specified id.

POST
https://api.awork.com/api/v1/companies/:companyId/deletetags
POST
/api/v1/companies/:companyId/deletetags
$curl -X POST https://api.awork.com/api/v1/companies/companyId/deletetags \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "name": "Design"
> }
>]'
1{}
Removes tags from the company with the specified id. Returns 204 NoContent if all tags have been removed successfully. Returns 207 MultiStatus if at least one tag could not be removed, including the reasons. <Check title="Required Permissions" icon="key">To remove tags from a company the user must have `company-master-data:write` permissions on the specified company.</Check>
Was this page helpful?
Previous

Returns the tags of the company with the specified id.

Next
Built with

Removes tags from the company with the specified id.

Returns 204 NoContent if all tags have been removed successfully. Returns 207 MultiStatus if at least one tag could not be removed, including the reasons.

Required Permissions
To remove tags from a company the user must have company-master-data:write permissions on the specified company.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequiredformat: "uuid"
The id of the company.

Request

The tags to remove.
namestringRequired0-255 characters
The name of the tag to delete.

Response

Multi-Status

Errors

400
Bad Request Error
401
Unauthorized Error